- name: Install packages
  package:
    name:
      - linux-firmware # Arch wiki claims this is needed for hardware video acceleration in skylake or later
      - xf86-video-intel
      - mesa
      - lib32-mesa
      - vulkan-intel
      - intel-media-driver # va-api support for broadwell (2014) and newer.
      - lib32-vulkan-intel
      - vulkan-icd-loader
      - lib32-vulkan-icd-loader
      - libva-utils # for vainfo
      - vdpauinfo # for vdpauinfo
      - libvdpau-va-gl # vdpau support
      - intel-gpu-tools # optional for intel_gpu_top
      - vulkan-tools # For vulkaninfo
    state: present

- name: Configure vdpau to use va-api driver
  copy:
    src: vdpau.sh
    dest: /etc/profile.d/vdpau.sh
    mode: 0644
    owner: root
    group: root
